From 2fffcaecf85da30367f9d87e8d8d19f558edcfac Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 09 2015 19:27:20 +0000
Subject: [PATCH 183/1001] Fix JSON repr for Hub objects.


---

diff --git a/hubs/models.py b/hubs/models.py
index 205a40f..99b2cb9 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -196,16 +196,14 @@ class Hub(BASE):
         return {
             'name': self.name,
             'summary': self.summary,
-
-            # TODO -- splash image
+            'avatar': self.avatar,
 
             'widgets': [widget.idx for widget in self.widgets],
             'left_width': self.left_width,
 
-            # TODO -- these three need to be fleshed out with real fas data.
-            'owners': self.owners,
-            'members': self.members,
-            'subscribers': self.subscribers,
+            'owners': [u.username for u in self.owners],
+            'members': [u.username for u in self.members],
+            'subscribers': [u.username for u in self.subscribers],
         }
 
 def _config_default(context):

